SELECT
	Databases.name AS [Database],
	SIdx.Index_id as IndexID,				--  ,    
	SObj.Name as TableName,				--  ,    
	SIdx.Name as IndexName,				--  
	SIdx.Type_Desc as IndexTypeDesc,			--  
	IndUsage.user_seeks as UserSeeks,			--      
	IndUsage.user_scans as UserScans,			--      
	IndUsage.user_lookups as UserLookups,		--      
	IndUsage.user_updates as UserUpdates,		--      
	IndUsage.last_user_seek as LastUserSeekDate,		--    ,  
	IndUsage.last_user_scan as LastUserScanDate,		--    ,  
	((SSIdx.reserved)*8)/1024 as [sum_reserved (MB)],	--    
	((SSIdx.used)*8)/1024 as [sum_used (MB)]		--    
FROM
	Sys.Indexes as SIdx					--  
	JOIN Sys.Objects as SObj				--  
	ON SIdx.[object_id] = SObj.[Object_ID]			--         
	LEFT JOIN  sys.dm_db_index_usage_stats IndUsage	--     
	ON  SIdx.[object_id] = IndUsage.[object_id]		--       
		AND SIdx.[Index_id] = IndUsage.[Index_id]	--	      
	JOIN sys.sysindexes SSIdx				--    
	ON SSIdx.id = SObj.[object_id]			--	      
		AND SSIdx.indid = SIdx.[Index_id]
	INNER JOIN SYS.databases Databases
	ON Databases.database_id = IndUsage.database_id
WHERE
	
	SIdx.[type_desc] <> 'HEAP'				--     . ..       
	AND OBJECTPROPERTY(SObj.[object_id],'isusertable') = 1	--     
	AND (						--       NULL  0
		isnull(IndUsage.user_seeks,0) =	0	--         NULL  0
		AND isnull(IndUsage.user_scans,0) =	0	--         NULL  0
		AND isnull(IndUsage.user_lookups,0) = 0	--         NULL  0
		)
	AND SIdx.[type_desc] <> 'CLUSTERED'			--     	
	AND ((SSIdx.reserved)*8)/1024 > 0			--       , ..     - 
ORDER BY ((SSIdx.reserved)*8)/1024  DESC --SObj.Name, SIdx.Name
