SELECT TOP 10
	Databases.name AS [Database],			--  
	SIdx.Index_id as IndexID,				--  ,    
	SObj.Name as TableName,				--  ,    
	SIdx.Name as IndexName,				--  
	SIdx.Type_Desc as IndexTypeDesc,			--  
	IndUsage.user_updates AS [Total Writes] ,
	IndUsage.user_seeks + IndUsage.user_scans + IndUsage.user_lookups AS [Total Reads] ,
	IndUsage.user_updates - (IndUsage.user_seeks + IndUsage.user_scans + IndUsage.user_lookups ) AS [Difference]
FROM
	Sys.Indexes as SIdx					--  
	JOIN Sys.Objects as SObj				--  
	ON SIdx.[object_id] = SObj.[Object_ID]			--         
	LEFT JOIN  sys.dm_db_index_usage_stats IndUsage	--     
	ON  SIdx.[object_id] = IndUsage.[object_id]		--       
		AND SIdx.[Index_id] = IndUsage.[Index_id]	--	      
	INNER JOIN SYS.databases Databases
	ON Databases.database_id = IndUsage.database_id
WHERE
	SIdx.[type_desc] <> 'HEAP'				--     . ..       
	AND OBJECTPROPERTY(SObj.[object_id],'isusertable') = 1	--     
	AND IndUsage.user_updates > ( IndUsage.user_seeks + IndUsage.user_scans + IndUsage.user_lookups )
	AND SIdx.[type_desc] <> 'CLUSTERED'			--     	
	AND (IndUsage.user_seeks + IndUsage.user_scans + IndUsage.user_lookups) < 50 --    50   
ORDER BY [Difference] DESC,
	[Total Writes] DESC,
	[Total Reads] ASC;
