DECLARE @Database VARCHAR(255)   
DECLARE @Table VARCHAR(255)
DECLARE @Index VARCHAR(255)
DECLARE @cmd NVARCHAR(500)
DECLARE @CurrentFragmentation FLOAT
DECLARE @TargetFragmentation FLOAT


SET @TargetFragmentation = 30.0

SET @Database = 'DIRECTUM'

SET @cmd = 'DECLARE TableCursor CURSOR FOR SELECT ''['' + table_catalog + ''].['' + table_schema + ''].['' + 
			table_name + '']'' as tableName FROM [' + @Database + '].INFORMATION_SCHEMA.TABLES WHERE table_type = ''BASE TABLE'' and TABLE_NAME <> ''SBWorkflowProcessing'''   

-- create table cursor  
EXEC (@cmd)  
OPEN TableCursor   

FETCH NEXT FROM TableCursor INTO @Table   
WHILE @@FETCH_STATUS = 0   
BEGIN   
	SET @cmd = 'DECLARE IndexCursor CURSOR FOR SELECT name, avg_fragmentation_in_percent
	FROM sys.dm_db_index_physical_stats (DB_ID('''+@Database+'''), OBJECT_ID('''+@Table+'''), NULL, NULL, NULL) AS a
    JOIN sys.indexes AS b ON a.object_id = b.object_id AND a.index_id = b.index_id WHERE a.index_id <> 0'   
    EXEC (@cmd)  
    OPEN IndexCursor   
    FETCH NEXT FROM IndexCursor INTO @Index, @CurrentFragmentation 
	WHILE @@FETCH_STATUS = 0   
	BEGIN
		if @CurrentFragmentation > @TargetFragmentation
		SET @cmd = 'ALTER INDEX ' + @Index + ' ON ' + @Table + ' REBUILD' 
		else
		SET @cmd = 'ALTER INDEX ' + @Index + ' ON ' + @Table + ' REORGANIZE' 
		EXEC (@cmd)
		FETCH NEXT FROM IndexCursor INTO @Index, @CurrentFragmentation 
	END
    CLOSE IndexCursor   
    DEALLOCATE IndexCursor  
    FETCH NEXT FROM TableCursor INTO @Table 
END   
CLOSE TableCursor   
DEALLOCATE TableCursor